W(4) = log(5.E-1_QP*(l*u2-1.E+0_QP*l*q+2.E+0_QP))
W(6) = log((5.E-1_QP*(u2+q)*(l*u2-1.E+0_QP*l*q&
	&+2.E+0_QP))/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP))
W(8) = log((2.E+0_QP*(l*u2-1.E+0_QP*l*q+2.E+0_QP))/(l*&
	&*2*(u2+q)*(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP)))
W(12) = log(2.E+0_QP/(l*(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP)&
	&))
W(15) = log((1.3107200000000002E+5_QP*(u2-1.E+0_QP*l*q&
	&+q+1.E+0_QP))/((u2+q)*(l*u2-1.E+0_QP*l*q+2.E+0_QP)**17))
W(16) = log((3.2768E+4_QP*(u2+q))/((u2+(1.E+0_QP-1.E&
	&+0_QP*l)*q+1.E+0_QP)*(l*u2-1.E+0_QP*l*q+2.E+0_QP)**15))
W(17) = log((3.2E+1_QP*(u2-1.E+0_QP*l*q+q+1.E&
	&+0_QP))/((u2+q)*(l*u2-1.E+0_QP*l*q+2.E+0_QP)**5))
W(18) = log((2.015873679831796E+1_QP*(u2+q)*(l*u2-1.E+0_QP&
	&*l*q+2.E+0_QP)**((-1.3E+1)/3.E+0))/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+&
	&0_QP))
W(19) = log((1.2699208415745594E+1_QP*(u2-1.E+0_QP*l*q&
	&+q+1.E+0_QP)*(l*u2-1.E+0_QP*l*q+2.E+0_QP)&
	&**((-1.1000000000000001E+1)/3.E+0))/(u2+q))
W(20) = log(2.E+0_QP/(l*u2-1.E+0_QP*l*q+2.E+0_QP))
W(22) = log((2.E+0_QP*(u2-1.E+0_QP*l*q+q+1.E&
	&+0_QP))/((u2+q)*(l*u2-1.E+0_QP*l*q+2.E+0_QP)))
W(24) = log((2.5E-1_QP*l**3*(u2+q)*(u2+(1.E+0_QP-1.E&
	&+0_QP*l)*q+1.E+0_QP)**2)/(l*u2-1.E+0_QP*l*q+2.E+0_QP))
W(29) = log((2.5E-1_QP*(u2+q)*(l*u2-1.E+0_QP*l*q+2.E&
	&+0_QP)**2)/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP))
W(30) = log((1.9842513149602492E-1_QP*(u2+q)*(l*u2-1.E&
	&+0_QP*l*q+2.E+0_QP)**(7.E+0/3.E+0))/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP&
	&))
W(31) = log((3.125E-2_QP*(u2+q)*(l*u2-1.E+0_QP*l*q+2.E&
	&+0_QP)**5)/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP))
W(32) = log((7.8125E-3_QP*(u2+q)*(l*u2-1.E+0_QP*l*q&
	&+2.E+0_QP)**7)/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP))
W(33) = log((1.220703125E-4_QP*(u2+q)*(l*u2-1.E+0_QP*l&
	&*q+2.E+0_QP)**13)/(u2+(1.E+0_QP-1.E+0_QP*l)*q+1.E+0_QP))
W(34) = log((1.0842021724855044E-19_QP*(u2-1.E+0_QP*l*q&
	&+q+1.E+0_QP)*(l*u2-1.E+0_QP*l*q+2.E+0_QP)**63)/(u2+q))


RES(0) = (5.E-1_QP*(W(22)*l**2*q**3+2.E+0_QP*W(12)*l**2*q&
	&**2+W(31)*l*q**2+2.E+0_QP*W(24)*l*q+4.E+0_QP*W(20)*q&
	&+2.E+0_QP*W(8)))/(l*q-1.E+0_QP)**2
IF (M== 0 ) RETURN 

RES(1) = (7.499999999999999E-1_QP*(4.E+0_QP*l**2*q*&
	&*2*u2-8.E+0_QP*l*q*u2-4.E+0_QP*l**2*q**3+W(22)*l**3*q**2+2.E+0_QP*l**3&
	&*q**2+W(4)*8.E+0_QP*l**2*q**2-4.E+0_QP*l**2*q**2+1.6E&
	&+1_QP*W(20)*l*q**2+8.E+0_QP*l*q**2-2.E+0_QP*W(22)*l**2*q-4.E+0_QP*l&
	&**2*q-W(4)*8.E+0_QP*l*q+4.E+0_QP*l*q-1.6E+1_QP*W(20)*q+W(22)&
	&*l+2.E+0_QP*l))/(l*(l*q-1.E+0_QP)**2)
IF (M== 1 ) RETURN 

RES(2) = -(4.166666666666667E-1_QP*(8.E+0_QP*l**5*q&
	&**5*u2-2.7999999999999997E+1_QP*l**5*q**4*u2+2.4E+1_QP*l**4*q*&
	&*4*u2+1.1199999999999999E+2_QP*l**4*q**3*u2-1.7600000000000002E+2_QP*l*&
	&*3*q**3*u2-1.3999999999999999E+2_QP*l**3*q**2*u2+2.4E+2_QP*l**2&
	&*q**2*u2+5.599999999999999E+1_QP*l**2*q*u2-9.6E+1_QP*l&
	&*q*u2-3.E+0_QP*W(22)*l**6*q**7+9.E+0_QP*W(22)*l**6*q**6+3.E+0_QP*W(22)*l&
	&**5*q**6-8.E+0_QP*l**5*q**6-6.E+0_QP*W(22)*l**6*q**5+3.6E+1_QP&
	&*l**5*q**5-1.8E+1_QP*W(22)*l**5*q**5-2.4E+1_QP*l**4*q*&
	&*5-2.E+0_QP*l**6*q**4-1.8E+1_QP*W(30)*l**5*q**4+2.4E+1_QP*l**5*q&
	&**4-1.92E+2_QP*l**4*q**4-9.E+0_QP*W(16)*l**4*q**4-W(4)*1.92E+2_QP*l*&
	&*3*q**4+1.7600000000000002E+2_QP*l**3*q**4+8.E+0_QP*l**5*q&
	&**3-7.2E+1_QP*l**4*q**3-W(17)*1.8E+1_QP*l**4*q&
	&**3-W(4)*4.3200000000000005E+2_QP*l**3*q**3+3.24E+2_QP*l**3*q*&
	&*3-W(20)*5.760000000000001E+2_QP*l**2*q**3-2.4E+2_QP*l**2*q**3-1.2E+1_QP*l**4*q*&
	&*2+7.2E+1_QP*l**3*q**2-6.E+0_QP*W(33)*l**3*q&
	&**2-W(20)*4.3200000000000005E+2_QP*l**2*q**2-2.1600000000000003E+2_QP*l**2*q&
	&**2-W(4)*5.760000000000001E+2_QP*l*q**2+9.6E+1_QP*l*q**2+8.E+0_QP*l&
	&**3*q-W(20)*2.4E+1_QP*l**2*q-2.4E+1_QP*l**2*q-W(4)*1.44E+2_QP*l&
	&*q+4.8E+1_QP*l*q-W(20)*1.92E+2_QP*q-2.E+0_QP*l**2))/(l**2&
	&*(l*q-1.E+0_QP)**4)
IF (M== 2 ) RETURN 

RES(3) = (1.4583333333333334E-1_QP*(3.2E+1_QP*l**7*q&
	&**7*u2-1.28E+2_QP*l**7*q**6*u2+6.4E+1_QP*l**6*q**6&
	&*u2+1.7600000000000002E+2_QP*l**7*q**5*u2-2.8800000000000003E+2_QP*l**6*q**5&
	&*u2+3.84E+2_QP*l**5*q**5*u2-8.8E+2_QP*l**6*q**4*u2+3.36E+3_QP*l**5*q&
	&**4*u2-4.E+3_QP*l**4*q**4*u2+1.584E+3_QP*l**5*q**3&
	&*u2-6.944E+3_QP*l**4*q**3*u2+8.32E+3_QP*l**3*q**3*u2-1.232E+3_QP*l**4*q*&
	&*2*u2+5.6E+3_QP*l**3*q**2*u2-6.72E+3_QP*l**2*q*&
	&*2*u2+3.5200000000000004E+2_QP*l**3*q*u2-1.6E+3_QP*l**2*q*u2+1.92E+3_QP*l&
	&*q*u2-1.5E+1_QP*W(22)*l**8*q**9+W(22)*6.E+1_QP*l**8*q**8-3.2E+1_QP*l**7&
	&*q**8+1.5E+1_QP*W(22)*l**7*q**8+W(6)*7.2E+1_QP*l**8*q*&
	&*7+1.6E+2_QP*l**7*q**7+W(6)*1.2E+2_QP*l**7*q**7-6.4E+1_QP*l**6*q*&
	&*7+W(22)*2.4E+1_QP*l**8*q**6-2.8800000000000003E+2_QP*l**7*q*&
	&*6+W(22)*2.1600000000000003E+2_QP*l**7*q**6+3.2E+2_QP*l**6*q**6&
	&+W(22)*6.E+1_QP*l**6*q**6-3.84E+2_QP*l**5*q**6+4.E+0_QP*l**8*q&
	&**5-1.28E+2_QP*l**7*q**5+W(29)*9.6E+1_QP*l**7*q**5+2.16E+3_QP*l**6*q&
	&**5+W(18)*2.1600000000000003E+2_QP*l**6*q**5-4.96E+3_QP*l**5*q&
	&**5+W(4)*3.84E+3_QP*l**5*q**5+4.E+3_QP*l**4*q**5+W(20)*3.84E+3_QP&
	&*l**4*q**5-2.E+1_QP*l**7*q**4+5.12E+2_QP*l**6*q**4&
	&+W(19)*1.44E+2_QP*l**6*q**4-5.472E+3_QP*l**5*q**4+W(34)*7.2E+1_QP*l**5*q&
	&**4+W(20)*1.5360000000000001E+4_QP*l**4*q**4+1.216E+4_QP*l**4*q&
	&**4+W(4)*1.5360000000000001E+4_QP*l**3*q**4-8.32E+3_QP*l**3*q*&
	&*4+4.E+1_QP*l**6*q**3-7.68E+2_QP*l**5*q**3+W(32)*9.6E+1_QP*l**5*q&
	&**3+W(20)*6.912E+3_QP*l**4*q**3+6.336E+3_QP*l**4*q**3&
	&+W(4)*2.304E+4_QP*l**3*q**3-1.248E+4_QP*l**3*q**3+W(20)*2.304E+4_QP*l**2&
	&*q**3+6.72E+3_QP*l**2*q**3-4.E+1_QP*l**5*q**2+5.12E+2_QP*l**4*q&
	&**2+W(15)*2.4E+1_QP*l**4*q**2+W(4)*4.608E+3_QP*l**3*q&
	&**2-3.456E+3_QP*l**3*q**2+W(20)*1.5360000000000001E+4_QP*l**2*q*&
	&*2+5.76E+3_QP*l**2*q**2+W(4)*1.5360000000000001E+4_QP*l*q**2-1.92E&
	&+3_QP*l*q**2+2.E+1_QP*l**4*q-1.28E+2_QP*l**3*q+W(4)*9.6E+1_QP*l*&
	&*3*q+W(20)*1.1520000000000001E+3_QP*l**2*q+7.2E+2_QP*l**2&
	&*q+W(4)*3.84E+3_QP*l*q-9.6E+2_QP*l*q+W(20)*3.84E+3_QP*q-4.E+0_QP&
	&*l**3))/(l**3*(l*q-1.E+0_QP)**5)
IF (M== 3 ) RETURN 
